function s=sample_poisson(tildes,xmax)

% INPUTS:   - state tildes (xmax x 1)
%           - xmax
% OUTPUT:   - random vector s distributed Poission with mean tildes 
%             (xmax x 1)

s=zeros(xmax,1);
 
for j=1:xmax
    i=0;
    p=exp(-tildes(j));
    F=exp(-tildes(j));
    u=rand;
    while(F<=u)
       p=p*tildes(j)/(i+1);
       F=F+p;
       i=i+1;
    end
    s(j)=i; 
end